Bug 507216 - cpuspeed throttles box to a crawl
cpuspeed throttles box to a crawl
Product: Fedora
Classification: Fedora
Component: cpuspeed (Show other bugs)
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Jarod Wilson
Fedora Extras Quality Assurance
: 507352 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2009-06-21 14:29 EDT by Jim Wilson
Modified: 2009-06-24 15:33 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.5-9.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-06-24 15:33:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jim Wilson 2009-06-21 14:29:28 EDT
After yum upgrade to cpuspeed-1.5-8.fc11.x86_64, message:

  "/etc/rc3.d/S06cpuspeed: line 169: [: argument expected"

appears during boot sequence on dual-core Atom box.  Machine runs very slowly.

"Top" shows two instances of cpuspeed consuming 30% of cpu between them.  /proc/cpuinfo shows all four cores throttled down to 200Mhz (full speed is 1.6Ghz).  Disabling cpuspeed and rebooting restores the system to health.

To reproduce:

1. Buy a zoltac dual-core atom board and build it up.
2. Install F11 x86_64 and "yum upgrade" on June 20.
3. Reboot
4. cat /proc/cpuinfo (if you have a few minutes).
Comment 1 Jarod Wilson 2009-06-22 08:18:44 EDT
Yeah, crap, I pooched the -8 update... Will get -9 out the door w/a fix for this in just a sec.
Comment 2 Fedora Update System 2009-06-22 08:57:23 EDT
cpuspeed-1.5-9.fc11 has been submitted as an update for Fedora 11.
Comment 3 Jarod Wilson 2009-06-22 09:52:55 EDT
*** Bug 507352 has been marked as a duplicate of this bug. ***
Comment 4 Fedora Update System 2009-06-24 15:33:17 EDT
cpuspeed-1.5-9.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.